/**
* Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-collapse {
  cursor: pointer;
  display: block;

  
  .nv-collapse-item {
    border-bottom: 1px solid var(--nv-border-color);
    display: block;
    margin-bottom: $space-default;

    &:last-child {
      border-bottom: unset;
      margin-bottom: unset;
    }
    
    header {
      padding: $space-sm;
      position: relative;

      .header-container {
        margin-bottom: 0;
        position: relative;
        z-index: 2;
      }
  
      span,
      h3 {
        font-family: 'FiraGO Bold Italic';
      }
    }

    &.disabled {
      header {
        color: var(--nv-type-disabled);
        
        span,
        h3 {
          color: var(--nv-type-disabled);
        } 
      }
    }
  }
  
  .nv-collapse-item-container {
    @extend .transition-exit;
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    padding: 0 $space-sm;
    
    &.show {
      @extend .transition-entrance;
      opacity: 1;
      padding: $space-default $space-sm;
    }
  }
}
